Name:           boxes
Version:        1.1
Release:        alt1_12 
Summary:        Draw any kind of box around some given text

Group:          Text tools
License:        GPLv2+
URL:            http://boxes.thomasjensen.com
Source0:        http://boxes.thomasjensen.com/download/%{name}-%{version}.src.tar.gz

# pass compile flags correctly, don't strip debuginfo automagically
Patch1:         boxes-fix_make.patch

BuildRequires:  bison
BuildRequires:  flex

%define boxfile %{_datadir}/%{name}/boxes
Source44: import.info

%description
"boxes" is a text filter which can draw ASCII art boxes around its input
text. These boxes may also be removed, even if they have been badly damaged
by editing of the text inside. Since boxes may be open on any side, boxes can
also be used to create regional comments in any programming language. With
the help of an editor macro or mapping, damaged boxes can easily be repaired.
This is useful for making the function headers in your programming language
look better, for spicing up your news postings and emails, or just for
decorating your documentation files.  New box designs of all sorts can
easily be added and shared by appending to a free format configuration
file. boxes was intended to be used with the vim(1) text editor, but can
be tied to any text editor which supports filters.


%prep
%setup -q
%patch1 -p1 -b .fix_make

%build
make GLOBALCONF=%{boxfile} CFLAGS_ADTL="%{optflags}" %{?_smp_mflags} 

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 

install -pm 0755 src/boxes      $RPM_BUILD_ROOT%{_bindir}
install -pm 0644 doc/boxes.1    $RPM_BUILD_ROOT%{_mandir}/man1
# the file that contains all the shapes
install -pm 0644 boxes-config   $RPM_BUILD_ROOT%{boxfile}

%files
%{_bindir}/boxes
%{_datadir}/%{name}/
%doc %{_mandir}/man1/boxes.1*
%doc COPYING README

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_12
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_11
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_10
- converted for Sisyphus

